Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 585267 - tasque's "evolution data server" backend currently broken
tasque's "evolution data server" backend currently broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tasque (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: David Kaylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 11:08 EDT by Jason Connor
Modified: 2014-03-30 21:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:50:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Connor 2010-04-23 11:08:13 EDT
Description of problem:
evolution data server backend displays blank page

Version-Release number of selected component (if applicable):
tasque-0.1.9-3.fc13.x86_64

How reproducible:
every time 

Steps to Reproduce:
1. open tasque
2. select "Evolution Data Server" as the backend
3. view blank page
  
Actual results:
blank pages

Expected results:
lists of tasks entered into evolution

Additional info:
the current version of tasque's evolution data server backend is built against the previous version of evolutions's libedata-cal-1.2.so

starting tasque from the command line, I get:
[jconnor@inspiron ~]$ tasque 
[Debug]: Tasque remote control active.
[Debug]: Found Available Backend: Tasque.Backends.RtmBackend.RtmBackend
[Debug]: Found Available Backend: Tasque.Backends.Sqlite.SqliteBackend
[Debug]: Found Available Backend: Tasque.Backends.EDS.EDSBackend
[Debug]: Tasque.exe location:  /usr/lib64/tasque/Tasque.exe
[Info]: Searching for Backend DLLs in: /usr/lib64/tasque
[Info]: 	Reading /usr/lib64/tasque/RtmNet.dll
[Debug]: Storing 'Tasque.Backends.RtmBackend.RtmBackend' = 'Remember the Milk'
[Debug]: Storing 'Tasque.Backends.Sqlite.SqliteBackend' = 'Local File'
[Debug]: Storing 'Tasque.Backends.EDS.EDSBackend' = 'Evolution Data Server'
[Debug]: CurrentBackend specified in Preferences: Tasque.Backends.EDS.EDSBackend
[Info]: Using backend: Evolution Data Server (Tasque.Backends.EDS.EDSBackend)
[Debug]: Initializing EDS Backend 
[Debug]: Listening for Changes in EDS Task Groups 
[Debug]: Fatal : System.TypeInitializationException: An exception was thrown by the type initializer for Evolution.SourceList ---> System.DllNotFoundException: libedata-cal-1.2.so.6
  at (wrapper managed-to-native) Evolution.CalBackendCache:e_cal_backend_cache_get_type ()
  at Evolution.CalBackendCache.get_GType () [0x00000] in <filename unknown>:0 
  at GtkSharp.EvolutionSharp.ObjectManager.Initialize () [0x00000] in <filename unknown>:0 
  at Evolution.SourceList..cctor () [0x00000] in <filename unknown>:0 
  --- End of inner exception stack trace ---
  at Tasque.Backends.EDS.EDSBackend.ListenForGroups () [0x00000] in <filename unknown>:0 
  at Tasque.Backends.EDS.EDSBackend.Initialize () [0x00000] in <filename unknown>:0 

The installed version of libedata-cal-1.2.so is libedata-cal-1.2.so.7
Comment 1 Damiano 2010-07-17 14:11:24 EDT
I confirm the issue. It's still present at the time of writing.

OT: If someone needs something like tasque but working on Fedora 13 have a look to this project http://live.gnome.org/gtg
Comment 2 Damiano 2010-07-17 14:40:44 EDT
even installing evolution-devel as someone suggested in some forum posts nothing changes.
Comment 3 Bug Zapper 2011-06-02 10:56:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 11:50:09 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.